Welcome to the Forum Archive!

Years of conversation fill a tonne of digital pages, and we've kept all of it accessible to browse or copy over. Whether you're looking for reveal articles for older champions, or the first time that Rammus rolled into an "OK" thread, or anything in between, you can find it here. When you're finished, check out Boards to join in the latest League of Legends discussions.

GO TO BOARDS


Pixel Shadow and Swiftshader

1
Comment below rating threshold, click here to show it.

MachidaShino

Member

05-11-2011

Hello, when I try to run a game I get Pixel Shader 2.0 error. I was wondering is there any way to fix it, I readed some guys said they suceed geting it working but they didnt say how. So I was wondering can u help me about it, I heard something that Swiftshader could fix it, so please if you know how and if u know link, share it to me.

My graphic card is radeon 9200 pro family if it helps, maybe I need to upgrade driver, I dunno how tho.


Comment below rating threshold, click here to show it.

MachidaShino

Member

05-11-2011

bump


Comment below rating threshold, click here to show it.

Niakz

Member

05-11-2011

Go get a new computer right away

Anyway download and run a program called GPU-Z. It will be able to tell you the supported Pixel Shader your card has.


Comment below rating threshold, click here to show it.

MachidaShino

Member

05-11-2011

Yeah, Im aware of that ^^ But im looking for some solution that allows me to at least start the game, im sure theres some so maybe Im lucky to find out what is it


Comment below rating threshold, click here to show it.

Niakz

Member

05-11-2011

Hmm the webs say that your GPU only support up to Pixel Shader 1.4.. Where have you read that somone succeded in making it work?

Edit: Looked at Swiftshader and if I have to be honest, it isen't a suitable solution. I'm not a "techy", but at least you got my opinion on it


Comment below rating threshold, click here to show it.

MachidaShino

Member

05-11-2011

Ah, thanks :P Maybe I will have to wait for more money I guess :/


Comment below rating threshold, click here to show it.

c0d1f1ed

Junior Member

05-11-2011

SwiftShader can make League of Legends run on any (x86) system. However, because it performs all of the graphics calculations on the CPU, you need a reasonably fast CPU to get adequate performance. A dual-core CPU is probably the bare minimum for this game. SwiftShader is really efficient but it obviously can't create fast graphics out of thin air.

To try it out, just request the evaluation demo from the TransGaming website: http://transgaming.com/swiftshader (http://transgaming.com/business/swiftshader). Place the d3d9.dll file from the 'x86' folder, into the 'game' folder of your League of Legends installation.


1